Skip to navigation

Remove Collection Items

Remove or unpublish items in a collection. <aside class=“notice”>Remove Item
The default behavior of the endpoint will delete the item from collection. You cannot retrieve a deleted item.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

collection_idstringRequiredformat: "uuid"
Unique identifier for a Collection

Headers

Accept-VersionstringOptional
The API version

Query parameters

livebooleanOptional

Boolean indicating if the item(s) should be published/unpublished to/from the live site

Request

The collection item ids to delete or unpublish
itemIdslist of stringsOptional
Array of item ids to delete or unpublish

Response

Request was successful
deletedItemIdslist of stringsOptional
Array of deleted item ids
errorslist of stringsOptional
Array of errors

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
429
Too Many Requests Error
500
Internal Server Error